import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional()
}).strict();
export const DatabaseBackupWhereUniqueInputObjectSchema: z.ZodType<Prisma.DatabaseBackupWhereUniqueInput> = makeSchema() as unknown as z.ZodType<Prisma.DatabaseBackupWhereUniqueInput>;
export const DatabaseBackupWhereUniqueInputObjectZodSchema = makeSchema();
